## vdr-plugin-dvbhddevice 2.2.0

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = dvbhddevice

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o dvbhdffdevice.o hdffcmd.o hdffosd.o menu.o setup.o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS) libhdffcmd
	@$(MAKE) --no-print-directory -C libhdffcmd all
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) libhdffcmd/libhdffcmd.a -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
	@-$(MAKE) --no-print-directory -C libhdffcmd clean

=== libhdffcmd/Makefile ===
#
# Makefile for the HDFF firmware command interface library
#

VERSION = 0.1.0

INSTALL_PATH         ?= /usr/local
INSTALL_LIB_PATH     ?= $(INSTALL_PATH)/lib
INSTALL_INCLUDE_PATH ?= $(INSTALL_PATH)/include

LIB_NAME = libhdffcmd

LIB_OBJS = bitbuffer.o hdffcmd_av.o hdffcmd_base.o hdffcmd_generic.o \
           hdffcmd_hdmi.o hdffcmd_mux.o hdffcmd_osd.o hdffcmd_remote.o

LIB_HEADERS = hdffcmd.h hdffcmd_av.h hdffcmd_generic.h hdffcmd_hdmi.h \
              hdffcmd_mux.h hdffcmd_osd.h hdffcmd_remote.h

LIB_STATIC = $(LIB_NAME).a
LIB_SHARED = $(LIB_NAME)-$(VERSION).so

CC      ?= gcc
CFLAGS  ?= -g -O2 -fPIC -Wall
AR      ?= ar
ARFLAGS ?= r

### Implicit rules:

%.o: %.c
	$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $<

### Dependencies:

MAKEDEP = $(CC) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(LIB_OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: $(LIB_STATIC) $(LIB_SHARED)

$(LIB_STATIC): $(LIB_OBJS)
	$(AR) $(ARFLAGS) $(LIB_STATIC) $(LIB_OBJS)

$(LIB_SHARED): $(LIB_OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -fPIC -shared -o $(LIB_SHARED) $(LIB_OBJS)
	ln -sf $(LIB_SHARED) $(LIB_NAME).so

clean:
	@-rm -f $(LIB_OBJS) $(DEPFILE) $(LIB_STATIC) $(LIB_NAME)*.so

install: $(LIB_SHARED)
	chown root $(LIB_SHARED)
	chgrp root $(LIB_SHARED)
	chmod 0755 $(LIB_SHARED)
	cp -f $(LIB_SHARED) $(INSTALL_LIB_PATH)/
	ln -sf $(LIB_SHARED) $(INSTALL_LIB_PATH)/$(LIB_NAME).so
	mkdir -p  $(INSTALL_INCLUDE_PATH)/libhdffcmd
	list='$(LIB_HEADERS)'; \
	for headerfile in $$list; do \
	  cp -f $$headerfile $(INSTALL_INCLUDE_PATH)/libhdffcmd/ ; \
	  chown root $(INSTALL_INCLUDE_PATH)/libhdffcmd/$$headerfile ; \
	  chgrp root $(INSTALL_INCLUDE_PATH)/libhdffcmd/$$headerfile ; \
	  chmod 0644 $(INSTALL_INCLUDE_PATH)/libhdffcmd/$$headerfile ; \
	done

=== debian/changelog ===
vdr-plugin-dvbhddevice (2.2.0-16) unstable; urgency=medium

  * build against vdr 2.6.9
  * add myself to uploaders
  * change build-depends from obsolete pkg-config to pkgconf
  * update standards-version to 4.7.0

 -- Christoph Martin <chrism@debian.org>  Mon, 17 Feb 2025 23:22:48 +0100

vdr-plugin-dvbhddevice (2.2.0-15) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Make sure CPPFLAGS is used to allow security hardening options to be set

 -- Tobias Grimm <etobi@debian.org>  Wed, 05 Jan 2022 21:43:10 +0100

vdr-plugin-dvbhddevice (2.2.0-14) unstable; urgency=medium

  * Update debhleper-compat to 13
  * Build-depend on vdr >= 2.4.7

 -- Tobias Grimm <etobi@debian.org>  Wed, 15 Dec 2021 08:31:05 +0100

vdr-plugin-dvbhddevice (2.2.0-13) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 13:32:44 +0100

vdr-plugin-dvbhddevice (2.2.0-12) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Tobias Grimm ]
  * Set upstream metadata fields: Name

 -- Tobias Grimm <etobi@debian.org>  Mon, 29 Jul 2019 19:30:09 +0200

vdr-plugin-dvbhddevice (2.2.0-11) unstable; urgency=medium

  * Made pkg-config configurable in Makefile to allow cross-builds
    (Closes: #932932)
  * Standards-Version: 4.4.0

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Jul 2019 20:01:24 +0200

vdr-plugin-dvbhddevice (2.2.0-10) unstable; urgency=medium

  * Added AUDIO_GET_PTS ioctl, which was dropped from the kernel
  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Thu, 18 Jul 2019 08:29:50 +0200

vdr-plugin-dvbhddevice (2.2.0-9) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 18:59:48 +0200

vdr-plugin-dvbhddevice (2.2.0-8) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.3.8

 -- Tobias Grimm <etobi@debian.org>  Tue, 15 Aug 2017 21:49:18 +0200

vdr-plugin-dvbhddevice (2.2.0-7) unstable; urgency=low

  * This plugin was shipped with VDR previously and is now a separate package.

 -- Tobias Grimm <etobi@debian.org>  Fri, 06 Jan 2017 21:36:49 +0100

=== debian/control ===
Source: vdr-plugin-dvbhddevice
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>,
 Christoph Martin <chrism@debian.org>
Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf, libjpeg-dev,
 linux-libc-dev (>= 3.0)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-dvbhddevice.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-dvbhddevice
Homepage: http://www.tvdr.de/

Package: vdr-plugin-dvbhddevice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Enhances: vdr
Description: Plugin that adds support for full featured HD-DVB cards to VDR
 Video Disk Recorder (VDR) is a digital sat-receiver program using
 Linux and DVB technologies. It allows one to record MPEG2 streams,
 as well as output the stream to TV.
 .
 This package contains the dvbhddevice-plugin, which implements the output
 device for the "Full Featured TechnoTrend S2-6400" DVB cards.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with vdrplugin

override_dh_strip:
	dh_strip --dbgsym-migration='vdr-plugin-dvbhddevice-dbg (<< 2.2.0-6~)'
